POST /v1/sessions/{session_id}/git/branches
POST
/v1/sessions/{session_id}/git/branches
const url = 'https://app.everruns.com/api/v1/sessions/example/git/branches';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"commit_oid":"a1b2c3d4e5f60718293a4b5c6d7e8f9012345678","name":"feature/refund-flow"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.everruns.com/api/v1/sessions/example/git/branches \ --header 'Content-Type: application/json' \ --data '{ "commit_oid": "a1b2c3d4e5f60718293a4b5c6d7e8f9012345678", "name": "feature/refund-flow" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” session_id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
Request to create a branch
object
commit_oid
required
Commit OID (hex) to point to
string
Example
a1b2c3d4e5f60718293a4b5c6d7e8f9012345678 name
required
Branch name (e.g., “feature-xyz”)
string
Example
feature/refund-flowResponses
Section titled “ Responses ”Branch created
Media type application/json
Generic success response
object
ok
required
boolean
Example generated
{ "ok": true}Invalid request